]> arthur.barton.de Git - bup.git/blobdiff - t/cleanup-mounts-under
get: adjust for python 3 and test there
[bup.git] / t / cleanup-mounts-under
index 9a72dedd87dba85722a703e8cb25fbe8c2dc2d91..b43d9602d2209e9c9b1d3b2ff6b0d3f1fe7f80c6 100755 (executable)
@@ -1,8 +1,10 @@
-#!/usr/bin/env python
-
-# This cannot rely on bup-python because it runs during clean, and so
-# it also needs to be compatible with Python 2 and 3.
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/../cmd/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
 
+from sys import stderr
 import os.path, re, subprocess, sys
 
 def mntent_unescape(x):
@@ -17,10 +19,15 @@ def mntent_unescape(x):
     return re.sub(r'(\\\\|\\011|\\012|\\040)', replacement, x)
 
 targets = sys.argv[1:]
+
+if not os.path.exists('/proc/mounts'):
+    print >> stderr, 'No /proc/mounts; skipping mount cleanup in', repr(targets)
+    sys.exit(0)
+
 exit_status = 0
 for target in targets:
     if not os.path.isdir(target):
-        print >> sys.stderr, target, 'is not a directory'
+        print >> stderr, repr(target), 'is not a directory'
         exit_status = 1
         continue
     top = os.path.realpath(target)